What are the BricsCAD minimum system/hardware requirements?

product: BricsCAD
version: V17
operating system: All Operating Systems
last reviewed: 2017-01-05

Resolution

Recommended hardware requirements are handled in knowledgebase item 390. This item is about minimal hardware.

  • Operating systems:
    • Windows 10 or higher (32 and 64 bits)
    • Windows 8 or higher (32 and 64 bits)
    • Windows 7 (32 and 64 bits)
    • Windows Vista with Service Pack 2 or later (all editions except Starter Edition)
    • Windows Server 2008 R2
    • Windows Server 2008 with Service Pack 2 or later
    • Mac OSX 10.9 or higher
    • Ubuntu 14.04 or higher (*)
    • OpenSuse (*)
    • Fedora (*)

  • Processor: 1 GHz processor or faster, or compatible processor.
  • RAM: Next to the memory required by the operating system, BricsCAD requires 256 MB (1 Gb or more recommended).
  • Hard Drive: 250 MB for program files + 1 GB free space.

  • Display:
    • 1024 x 768 XGA with true color (minimum)
    • Supported GPU (**): see below for more information on supported chipsets for GPU acceleration for non-wireframe render modes such as realistic rendering. Please note that non-wireframe render modes and all other features of BricsCAD can still be used without hardware acceleration.

More information

  • (*) Supported Linux distribution versions:
    Bricsys has chosen to support Ubuntu, OpenSuse and Fedora.


    BricsCAD (Linux) V16 is built with gcc 4.8.2 on Ubuntu 14.04 LTS. As a result the minimum required c++ runtime (libstdc++) is 4.8.2. In practice, BricsCAD (Linux) can run on almost any distribution that is newer than Ubuntu 14.04.

    We receive many support requests for other distributions. As a rule of thumb, if we can reproduce the reported issue in one of the supported distributions, we provide support for it.


  • (**) BricsCAD's non-wireframe render modes are based on RedSDK technology from Redway3D®.
    GPU-acceleration for these render modes requires a supported GPU (graphic processing unit), either on a video card or on the motherboard.

    • On Windows, all graphic cards from NVIDIA, ATI and INTEL are supported by RedSDK

    • On Linux, 3D graphics hardware acceleration in RedSDK is supported on the following video chipsets:
      • NVIDIA cards. It is advised to use the latest recommended driver from NVIDIA.
      • ATI cards. It is advised to use the latest recommended driver from ATI/AMD.

      3D graphics hardware acceleration in RedSDK on Linux is NOT supported on:
      • INTEL cards. As opposed to ATI and NVIDIA, 3D hardware acceleration in linux drivers for INTEL cards is relatively new. So far we do not yet officially support 3D hardware acceleration on INTEL cards, although we are working on it.
      • Laptops with dual graphics, although it happens to work on some dual graphics systems using recent versions of proprietary NVIDIA drivers.